Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.impl.form
Class FormProvidesServiceCDIImpl

    java.lang.Object
      org.jbpm.kie.services.impl.form.FormProviderServiceImpl
          org.jbpm.services.cdi.impl.form.FormProvidesServiceCDIImpl

All Implemented Interfaces:
  FormProviderService

    @ApplicationScoped
    public class FormProvidesServiceCDIImpl

extends FormProviderServiceImpl

Constructor Summary
`FormProvidesServiceCDIImpl()`

Method Summary
`void` | `prepare()`
`void` | `setBpmn2Service(DefinitionService bpmn2Service)`
`void` | `setDataService(RuntimeDataService dataService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`
`void` | `setTaskService(TaskService taskService)`

Methods inherited from class org.jbpm.kie.services.impl.form.FormProviderServiceImpl
`getFormDisplayProcess, getFormDisplayTask, getMarshallerContext, getMarshallerContext, setProviders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormProvidesServiceCDIImpl

    public FormProvidesServiceCDIImpl()

Method Detail

### prepare

    @PostConstruct
    public void prepare()

### setTaskService

    @Inject
    public void setTaskService(TaskService taskService)

  Overrides:
    `setTaskService` in class `FormProviderServiceImpl`

### setBpmn2Service

    @Inject
    public void setBpmn2Service(DefinitionService bpmn2Service)

  Overrides:
    `setBpmn2Service` in class `FormProviderServiceImpl`

### setDataService

    @Inject
    public void setDataService(RuntimeDataService dataService)

  Overrides:
    `setDataService` in class `FormProviderServiceImpl`

### setDeploymentService

    @Inject
    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `FormProviderServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.